[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBActns' (#lcl)

# TDataSetAction.DataSource

DataSource with the dataset for the action.

## Declaration

Source position: dbactns.pp line 36

`public property TDataSetAction.DataSource : TDataSource read FDataSource write SetDataSource;`

## Description

DataSource is a TDataSource property which provides access to properties, methods, and events for the TDataSet used in the data source. Changing the value for DataSource causes a free notification message to be performed for the new class instance used as the value for the property.